import { TimeRange } from '../../entities';
import { DataApiFirstOrLastQuery } from '../../queries';
import { DataApiAggregateOrHistoricalQueryBuilder } from './aggregate.or.historical.query.builder';
import { DataApiBaseQueryBuilder } from './base.query.builder';
export declare class DataApiFirstLastOrAggregateQueryBuilder extends DataApiBaseQueryBuilder {
    constructor(query: DataApiBaseQueryBuilder);
    getLast(): DataApiFirstOrLastQuery;
    getFirst(): DataApiFirstOrLastQuery;
    withTimeRange(range: TimeRange): DataApiAggregateOrHistoricalQueryBuilder;
    fromDate(date: Date): DataApiAggregateOrHistoricalQueryBuilder;
    betweenDates(startDate: Date, endDate?: Date): DataApiAggregateOrHistoricalQueryBuilder;
}
